Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes
MinK< Key, Value >::Element Struct Reference

List of all members.

## Public Member Functions

| Element ()
| Element (const Key &k, const Value &v)

## Public Attributes

Key | key
Value | value

## Detailed Description

### template<typename Key, typename Value>
struct MinK< Key, Value >::Element

Definition at line 58 of file kdtree.cpp.

## Constructor & Destructor Documentation

template<typename Key, typename Value>

MinK< Key, Value >::Element::Element | ( |  | ) |

inline

Definition at line 59 of file kdtree.cpp.

{}
template<typename Key, typename Value>

MinK< Key, Value >::Element::Element | ( | const Key & | k,
|  | const Value & | v
| ) |  |

inline

Definition at line 60 of file kdtree.cpp.

: key(k), value(v) {}

## Member Data Documentation

template<typename Key, typename Value>

Key MinK< Key, Value >::Element::key

Definition at line 62 of file kdtree.cpp.

template<typename Key, typename Value>

Value MinK< Key, Value >::Element::value

Definition at line 63 of file kdtree.cpp.

The documentation for this struct was generated from the following file:

- /mnt/data/src/tesseract-ocr/classify/kdtree.cpp